Welcome to Taikaan young Taikuu.

To use the services provided by each individual buildings, you have to move onto the special square just outside the door of the building. Then press the 'OK' or '5' key while you are standing on the square.

To get you started on your first quest, please visit the cafe and speak to Ceb'elon
Good luck, and enjoy your stay at the Xsidius system.
